Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455112 - f-spot crashes on startup of importer
Summary: f-spot crashes on startup of importer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nigel Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-12 03:44 UTC by James Antill
Modified: 2009-07-14 18:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:13:23 UTC


Attachments (Terms of Use)
stack trace on terminal (deleted)
2008-07-12 03:44 UTC, James Antill
no flags Details

Description James Antill 2008-07-12 03:44:47 UTC
Description of problem:
 Plug camera into computer, f-spot dies

Version-Release number of selected component (if applicable):
f-spot-0:0.4.2-5.fc9.x86_64

How reproducible:
 Always

Additional info:

 Output from running f-spot-import on a terminal is attached.

Comment 1 James Antill 2008-07-12 03:44:47 UTC
Created attachment 311632 [details]
stack trace on terminal

Comment 2 Nigel Jones 2008-07-12 06:31:08 UTC
I'm assuming f-spot is already open when the camera gets plugged in correct?

Comment 3 James Antill 2008-07-12 13:02:45 UTC
 No, I thought udev or something launches f-spot when you plug the camera in.
And at least when I got the stack trace I did "ps axuw | fgrep spot" and it
showed nothing then I did the f-spot-import on the terminal.


Comment 4 Nigel Jones 2008-07-14 11:42:49 UTC
Could you try with the recently built 0.4.3.1-1.fc9? (http://
kojipkgs.fedoraproject.org/packages/f-spot/0.4.3.1/1.fc9/), I'd really 
appreciate it if you could check if you can still reproduce this bug.

Thank you.

As for the udev/dbus, I'll have a look into it, Banshee manages to hook into 
gnome for this sort of stuff quite well (that said, it doesn't really help me, 
I'm a KDE user :))  I'll do a bit of research and see what can be done.

Comment 5 James Antill 2008-07-15 13:11:22 UTC
 Well it's slightly different, now it doesn't even open a window (and I thought
it said something about the .jpg file before, but this is what comes up
everytime now):

libhal.c 1303 : invalid udi:  doesn't startwith '/org/freedesktop/Hal/devices/'. 
error: libhal_device_get_property_type: (null): (null)
libhal.c 1303 : invalid udi:  doesn't startwith '/org/freedesktop/Hal/devices/'. 
error: libhal_device_get_property_type: (null): (null)
libhal.c 1303 : invalid udi:  doesn't startwith '/org/freedesktop/Hal/devices/'. 
error: libhal_device_get_property_type: (null): (null)
gphoto2:usb:000,000

(/usr/lib64/f-spot/f-spot.exe:18048): GLib-GObject-CRITICAL **: gtype.c:2248:
initialization assertion failed, use IA__g_type_init() prior to this function

(/usr/lib64/f-spot/f-spot.exe:18048): GLib-GObject-CRITICAL **: g_object_new:
assertion `G_TYPE_IS_OBJECT (object_type)' failed

(/usr/lib64/f-spot/f-spot.exe:18048): GLib-GObject-CRITICAL **: g_object_ref:
assertion `G_IS_OBJECT (object)' failed
Stacktrace:

  at (wrapper managed-to-native) GConf.Client.gconf_client_get_default () <0x00050>
  at (wrapper managed-to-native) GConf.Client.gconf_client_get_default ()
<0xffffffff>
  at GConf.Client..ctor () <0x0004d>
  at FSpot.GConfPreferenceBackend.get_Client () <0x00037>
  at FSpot.GConfPreferenceBackend.AddNotify (string,FSpot.NotifyChangedHandler)
<0x0004c>
  at FSpot.Preferences.get_Backend () <0x00127>
  at FSpot.Preferences.Get (string) <0x00099>
  at FSpot.Driver.Main (string[]) <0x00144>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	f-spot [0x527be9]
	f-spot [0x43d4ed]
	/lib64/libpthread.so.0 [0x33d960ed30]
	/usr/lib64/libgconf-2.so.4 [0x33e7a25c41]
	/usr/lib64/libgconf-2.so.4(gconf_client_get_default+0xc4) [0x33e7a29944]
	[0x336220]

Debug info from gdb:

(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0x7ff7022357b0 (LWP 18048)]
[New Thread 0x41894950 (LWP 18050)]
[New Thread 0x40d7d950 (LWP 18049)]
0x00000033d960db8b in read () from /lib64/libpthread.so.0
Current language:  auto; currently asm
  3 Thread 0x40d7d950 (LWP 18049)  0x00000033d960e491 in nanosleep ()
   from /lib64/libpthread.so.0
  2 Thread 0x41894950 (LWP 18050)  0x00000033d960af19 in
pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
* 1 Thread 0x7ff7022357b0 (LWP 18048)  0x00000033d960db8b in read ()
   from /lib64/libpthread.so.0

Thread 3 (Thread 0x40d7d950 (LWP 18049)):
#0  0x00000033d960e491 in nanosleep () from /lib64/libpthread.so.0
#1  0x00000000004c3342 in ?? ()
#2  0x00000033d960729a in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#3  0x00000033d8ae42cd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x41894950 (LWP 18050)):
#0  0x00000033d960af19 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00000000004c66d5 in ?? ()
#2  0x00000000004c88db in ?? ()
#3  0x00000000004d9743 in ?? ()
#4  0x000000000046e843 in ?? ()
#5  0x000000000048b0db in ?? ()
#6  0x00000000004d7c73 in ?? ()
#7  0x00000000004ef2fe in ?? ()
#8  0x00000033d960729a in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#9  0x00000033d8ae42cd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ff7022357b0 (LWP 18048)):
#0  0x00000033d960db8b in read () from /lib64/libpthread.so.0
#1  0x00000033da26d6fe in read_ints (fd=<value optimized out>, 
    buf=<value optimized out>, n_ints_in_buf=<value optimized out>, 
    n_ints_read=<value optimized out>, error=<value optimized out>)
    at /usr/include/bits/unistd.h:45
#2  0x00000033da26dbe6 in fork_exec_with_pipes (
    intermediate_child=<value optimized out>, 
    working_directory=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>, close_descriptors=<value optimized out>, 
    search_path=<value optimized out>, stdout_to_null=) at gspawn.c:1309
#3  0x00000033da26e65b in IA__g_spawn_sync (
    working_directory=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>, flags=<value optimized out>, 
    child_setup=<value optimized out>, user_data=<value optimized out>, 
    standard_output=) at gspawn.c:259
#4  0x00000033da26eb18 in IA__g_spawn_command_line_sync (
    command_line=<value optimized out>, standard_output=<value optimized out>, 
    standard_error=<value optimized out>, exit_status=<value optimized out>, 
    error=<value optimized out>) at gspawn.c:682
#5  0x0000000000527c84 in ?? ()
#6  0x000000000043d4ed in ?? ()
#7  <signal handler called>
#8  0x00000033e7a25c41 in ?? () from /usr/lib64/libgconf-2.so.4
#9  0x00000033e7a29944 in gconf_client_get_default ()
   from /usr/lib64/libgconf-2.so.4
#10 0x0000000000336220 in ?? ()
#11 0x00000000014f68c0 in ?? ()
#12 0x0101010101010101 in ?? ()
#13 0x0000000000000140 in ?? ()
#14 0x0000000000335ad8 in ?? ()
#15 0x00007ff6fc7effc0 in ?? ()
#16 0x00007fff0a24f130 in ?? ()
#17 0x00007fff0a24eff0 in ?? ()
#18 0x00007ff6fc7effc0 in ?? ()
#19 0x00007ff6fc7f1d90 in ?? ()
#20 0x00007ff6fc7effa0 in ?? ()
#21 0x00007ff6fc7effa0 in ?? ()
#22 0x0000000000335ad8 in ?? ()
#23 0x00007fff0a24f130 in ?? ()
#24 0x0000000000335abe in ?? ()
#25 0x0000000000000000 in ?? ()


=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================


Comment 6 Nigel Jones 2008-08-11 12:35:21 UTC
(In reply to comment #5)
>  Well it's slightly different, now it doesn't even open a window (and I thought
> it said something about the .jpg file before, but this is what comes up
> everytime now):
> 
> libhal.c 1303 : invalid udi:  doesn't startwith '/org/freedesktop/Hal/devices/'. 
> error: libhal_device_get_property_type: (null): (null)
> libhal.c 1303 : invalid udi:  doesn't startwith '/org/freedesktop/Hal/devices/'. 
> error: libhal_device_get_property_type: (null): (null)
> libhal.c 1303 : invalid udi:  doesn't startwith '/org/freedesktop/Hal/devices/'. 
> error: libhal_device_get_property_type: (null): (null)
> gphoto2:usb:000,000
> 
This happens on my machine too.
> (/usr/lib64/f-spot/f-spot.exe:18048): GLib-GObject-CRITICAL **: gtype.c:2248:
> initialization assertion failed, use IA__g_type_init() prior to this function
> 
> (/usr/lib64/f-spot/f-spot.exe:18048): GLib-GObject-CRITICAL **: g_object_new:
> assertion `G_TYPE_IS_OBJECT (object_type)' failed
> 
> (/usr/lib64/f-spot/f-spot.exe:18048): GLib-GObject-CRITICAL **: g_object_ref:
> assertion `G_IS_OBJECT (object)' failed
> Stacktrace:
> 
>   at (wrapper managed-to-native) GConf.Client.gconf_client_get_default () <0x00050>
>   at (wrapper managed-to-native) GConf.Client.gconf_client_get_default ()
> <0xffffffff>
>   at GConf.Client..ctor () <0x0004d>
>   at FSpot.GConfPreferenceBackend.get_Client () <0x00037>
>   at FSpot.GConfPreferenceBackend.AddNotify (string,FSpot.NotifyChangedHandler)
> <0x0004c>
>   at FSpot.Preferences.get_Backend () <0x00127>
>   at FSpot.Preferences.Get (string) <0x00099>
>   at FSpot.Driver.Main (string[]) <0x00144>
>   at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[]
> (object,intptr,intptr,intptr) <0xffffffff>
> 
> Native stacktrace:
> 
> 	f-spot [0x527be9]
> 	f-spot [0x43d4ed]
> 	/lib64/libpthread.so.0 [0x33d960ed30]
> 	/usr/lib64/libgconf-2.so.4 [0x33e7a25c41]
> 	/usr/lib64/libgconf-2.so.4(gconf_client_get_default+0xc4) [0x33e7a29944]
> 	[0x336220]
> 
> Debug info from gdb:
> 
> (no debugging symbols found)
> [Thread debugging using libthread_db enabled]
> [New Thread 0x7ff7022357b0 (LWP 18048)]
> [New Thread 0x41894950 (LWP 18050)]
> [New Thread 0x40d7d950 (LWP 18049)]
> 0x00000033d960db8b in read () from /lib64/libpthread.so.0
> Current language:  auto; currently asm
>   3 Thread 0x40d7d950 (LWP 18049)  0x00000033d960e491 in nanosleep ()
>    from /lib64/libpthread.so.0
>   2 Thread 0x41894950 (LWP 18050)  0x00000033d960af19 in
> pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
> * 1 Thread 0x7ff7022357b0 (LWP 18048)  0x00000033d960db8b in read ()
>    from /lib64/libpthread.so.0
> 
> Thread 3 (Thread 0x40d7d950 (LWP 18049)):
> #0  0x00000033d960e491 in nanosleep () from /lib64/libpthread.so.0
> #1  0x00000000004c3342 in ?? ()
> #2  0x00000033d960729a in start_thread (arg=<value optimized out>)
>     at pthread_create.c:297
> #3  0x00000033d8ae42cd in clone () from /lib64/libc.so.6
> 
> Thread 2 (Thread 0x41894950 (LWP 18050)):
> #0  0x00000033d960af19 in pthread_cond_wait@@GLIBC_2.3.2 ()
>    from /lib64/libpthread.so.0
> #1  0x00000000004c66d5 in ?? ()
> #2  0x00000000004c88db in ?? ()
> #3  0x00000000004d9743 in ?? ()
> #4  0x000000000046e843 in ?? ()
> #5  0x000000000048b0db in ?? ()
> #6  0x00000000004d7c73 in ?? ()
> #7  0x00000000004ef2fe in ?? ()
> #8  0x00000033d960729a in start_thread (arg=<value optimized out>)
>     at pthread_create.c:297
> #9  0x00000033d8ae42cd in clone () from /lib64/libc.so.6
> 
> Thread 1 (Thread 0x7ff7022357b0 (LWP 18048)):
> #0  0x00000033d960db8b in read () from /lib64/libpthread.so.0
> #1  0x00000033da26d6fe in read_ints (fd=<value optimized out>, 
>     buf=<value optimized out>, n_ints_in_buf=<value optimized out>, 
>     n_ints_read=<value optimized out>, error=<value optimized out>)
>     at /usr/include/bits/unistd.h:45
> #2  0x00000033da26dbe6 in fork_exec_with_pipes (
>     intermediate_child=<value optimized out>, 
>     working_directory=<value optimized out>, argv=<value optimized out>, 
>     envp=<value optimized out>, close_descriptors=<value optimized out>, 
>     search_path=<value optimized out>, stdout_to_null=) at gspawn.c:1309
> #3  0x00000033da26e65b in IA__g_spawn_sync (
>     working_directory=<value optimized out>, argv=<value optimized out>, 
>     envp=<value optimized out>, flags=<value optimized out>, 
>     child_setup=<value optimized out>, user_data=<value optimized out>, 
>     standard_output=) at gspawn.c:259
> #4  0x00000033da26eb18 in IA__g_spawn_command_line_sync (
>     command_line=<value optimized out>, standard_output=<value optimized out>, 
>     standard_error=<value optimized out>, exit_status=<value optimized out>, 
>     error=<value optimized out>) at gspawn.c:682
> #5  0x0000000000527c84 in ?? ()
> #6  0x000000000043d4ed in ?? ()
> #7  <signal handler called>
> #8  0x00000033e7a25c41 in ?? () from /usr/lib64/libgconf-2.so.4
> #9  0x00000033e7a29944 in gconf_client_get_default ()
>    from /usr/lib64/libgconf-2.so.4
> #10 0x0000000000336220 in ?? ()
> #11 0x00000000014f68c0 in ?? ()
> #12 0x0101010101010101 in ?? ()
> #13 0x0000000000000140 in ?? ()
> #14 0x0000000000335ad8 in ?? ()
> #15 0x00007ff6fc7effc0 in ?? ()
> #16 0x00007fff0a24f130 in ?? ()
> #17 0x00007fff0a24eff0 in ?? ()
> #18 0x00007ff6fc7effc0 in ?? ()
> #19 0x00007ff6fc7f1d90 in ?? ()
> #20 0x00007ff6fc7effa0 in ?? ()
> #21 0x00007ff6fc7effa0 in ?? ()
> #22 0x0000000000335ad8 in ?? ()
> #23 0x00007fff0a24f130 in ?? ()
> #24 0x0000000000335abe in ?? ()
> #25 0x0000000000000000 in ?? ()
> 
> 
> =================================================================
> Got a SIGSEGV while executing native code. This usually indicates
> a fatal error in the mono runtime or one of the native libraries 
> used by your application.
> =================================================================
> 

Okay, any chance you can let me know what Camera you are using, does f-spot start normally (except for a "No cameras detected." error when launching f-spot-import w/o a camera attached.

Also, what mode is your camera set to (Mass Storage, PTP, PictBridge?)

If I can't reproduce it with my camera, I'll talk to upstream.

Comment 7 James Antill 2008-08-11 13:45:07 UTC
 It's a PowerShot A20, I've no idea what "mode" it's in. It never appeared as a USB disk on the desktop though, if that helps.

 atm. I just bought a $30 device that you put the compact flash into and it acts as a disk ... that works fine.

Comment 8 Bug Zapper 2009-06-10 02:03:23 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 18:13:23 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.